This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863914 - [abrt] system-config-date-1.9.67-3.fc18: locale.py:539:setlocale:Error: unsupported locale setting
[abrt] system-config-date-1.9.67-3.fc18: locale.py:539:setlocale:Error: unsup...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:7f9e4c203e8151b57bc8cf91f12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 23:38 EDT by Leslie Satenstein
Modified: 2012-12-10 08:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 08:58:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (888 bytes, text/plain)
2012-10-07 23:38 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2012-10-07 23:38:26 EDT
Description of problem:
During installation

Version-Release number of selected component:
system-config-date-1.9.67-3.fc18

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/share/system-config-date/system-config-date.py
kernel:         3.6.0-1.fc18.i686

backtrace:
:locale.py:539:setlocale:Error: unsupported locale setting
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-date/scdMainWindow.py", line 203, in custom_handler
:    return module.custom_widgets[function_name] (glade)
:  File "/usr/share/system-config-date/timezone_gui.py", line 40, in timezone_widget_create
:    widget = TimezoneMap(zonetab.ZoneTab (), default, map=mappath, tzActionLabel = tzActionLabel)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 153, in __init__
:    self.readZoneTab (fn)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 218, in readZoneTab
:    entry = ZoneTabEntry (code, lat, long, tz, comments)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 59, in __init__
:    self.tz = tz.replace ('_', ' ')
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 127, in _set_tz
:    self.__translate_tz()
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 85, in __translate_tz
:    locale.setlocale(locale.LC_ALL, "")
:  File "/usr/lib/python2.7/locale.py", line 539, in setlocale
:    return _setlocale(category, locale)
:Error: unsupported locale setting
:
:Local variables in innermost frame:
:locale: ''
:category: 6
Comment 1 Leslie Satenstein 2012-10-07 23:38:28 EDT
Created attachment 623266 [details]
File: core_backtrace
Comment 2 Parag Nemade 2012-10-07 23:48:34 EDT
What is the output of "locale" command on your system?
Comment 3 Nils Philippsen 2012-12-10 08:58:34 EST
Hi, I can't debug the problem without the information requested in comment #2. I'll close this bug for now -- if you can reproduce it, then please reopen the bug and provide the requested information. Thanks!

Note You need to log in before you can comment on or make changes to this bug.